{% load i18n %}
{% load staticfiles %}
{% load data_filters %}

	<table style="margin-bottom:2px; margin-top:10px; float:left; width:100%;">
	    <tr class="panel-header">
	      <td>
	        <span style="font-size:15px; margin-top:-5px; padding-right:20px;">
	          <b>Role Management</b>
	        </span>
	      </td>
	    </tr>
	</table>

	<table border="0" style="margin-bottom:2px; margin-top:-2px; float:left; width:100%;">
	    <tr style="padding:5px; height:auto;">
	      <td colspan="2" style="padding:0px;">
	        <div class="datagrid-toolbar">
	          <div><br></div>
	          <div style="height:27px; display:block;">
	            <span style="float:left">
	              <a type="button" data-options="iconCls:'icon-add',plain:true" class="cls_op easyui-linkbutton" href="{% url 'group_append' %}" class="addlink">
	                {% trans "New" %}
	              </a>
	            </span>
				  <span class="nav">
				    <li>
				      <a href="#" class="easyui-linkbutton" iconCls="icon-sum">{%trans "Operation for selected" %}&nbsp;</a>
				        <ul style="width:200px;">
				          <li>
				          	<a href="#" onclick="group_delete()">Delete</a>
				          </li>
				        </ul>
				    </li>
				  </span>
	          </div>
	        </div>
	      </td>
	    </tr>
	</table>

    <script type="text/javascript">
    function group_delete(){
      var ss = [];
      var rows = $('#dg').datagrid('getSelections');
      var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
      for(var i = 0; i < rows.length; i++){
        var row = rows[i];
        var id = re.exec(row.group_id)[2]
        ss.push(id);
      }
      if(ss.length <= 0){
          alert('You don\'t select');
      }
      else{
	      $.ajax({
	        url: "{% url 'group_delete' %}",
	        data: 'group_ids=' + ss,
	        type: 'POST',
	        success: function(data,status){
                if(data[0] == '1')
                {
                    alert(data.substring(1) + 'delete error!\nThis data maybe used for User. \nPlease edit them and try again.');
                }
                window.location.href = "{% url 'group' %}"; //跳转页面
            }
	      });
      }
    }
	</script>